Skip to main content
PUT
/
payments
/
tax_rates
/
{id}
Update Tax Rate
curl --request PUT \
  --url https://api.rootfi.dev/v4/payments/tax_rates/{id} \
  --header 'Content-Type: application/json' \
  --header 'api_key: <api-key>' \
  --data '
{
  "name": "<string>",
  "rate": 123,
  "jurisdiction": "<string>",
  "status": "ACTIVE"
}
'
{
  "rootfi_id": 157,
  "rootfi_created_at": "2024-01-22T05:07:31.465Z",
  "rootfi_updated_at": "2024-01-22T05:07:31.000Z",
  "rootfi_company_id": 1089,
  "platform_id": "123456",
  "rootfi_deleted_at": "2023-11-07T05:31:56Z",
  "platform_unique_id": "<string>",
  "raw_data": {},
  "data_hash": "<string>",
  "name": "<string>",
  "rate": 123,
  "jurisdiction": "<string>",
  "status": "ACTIVE",
  "created_at": "<string>",
  "updated_at": "<string>"
}
Update an existing tax rate.

Path Parameters

ParameterTypeRequiredDescription
idstringYesThe rootfi_id or platform_id of the tax rate

Request Body

FieldTypeRequiredDescription
namestringNoDisplay name
ratenumberNoTax rate as decimal
jurisdictionstringNoGeographic area
statusstringNoStatus (active, archived)
Updating a tax rate does not retroactively affect existing invoices. New invoices will use the updated rate.
See Tax Rate Overview for complete field details.

Authorizations

api_key
string
header
required

Path Parameters

id
string
required

Body

application/json
name
string | null
rate
number<double> | null
jurisdiction
string | null
status
enum<string> | null
Available options:
ACTIVE,
ARCHIVED,
UNKNOWN

Response

Tax rate updated successfully

V4 TaxRate model for jurisdiction-based tax rates.

rootfi_id
number<double>
required

The unique ID we assign for that data's information

Example:

157

rootfi_created_at
string<date-time>
required

The date at which RootFi first synced this data

Example:

"2024-01-22T05:07:31.465Z"

rootfi_updated_at
string<date-time>
required

The latest date at which RootFi updated this data

Example:

"2024-01-22T05:07:31.000Z"

rootfi_company_id
number<double>
required

The ID of the company in the accounting platform

Example:

1089

platform_id
string
required

An unique custom RootFi ID made from platform's unique_id.

Example:

"123456"

rootfi_deleted_at
string<date-time> | null

The date at which the data was deleted in the accounting platform

platform_unique_id
string | null

The ID of the data in the accounting platform.

raw_data
object

A JSON containing fields that you can directly get from the accounting platform.

data_hash
string | null

The hash of the data

name
string | null

Display name (e.g., California Sales Tax).

rate
number<double> | null

Tax rate as a decimal (e.g., 0.0725 for 7.25%).

jurisdiction
string | null

Geographic area where tax applies (e.g., CA, NY).

status
enum<string> | null

Current status of this tax rate (ACTIVE, ARCHIVED, UNKNOWN).

Available options:
ACTIVE,
ARCHIVED,
UNKNOWN
created_at
string | null

Original creation timestamp (ISO 8601).

updated_at
string | null

Last update timestamp (ISO 8601).